<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="text"
            type="String" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/colorPrimaryDark"
        android:orientation="vertical">

        <EditText
            android:id="@+id/content"
            android:hint="@string/write_here"
            android:textSize="16sp"
            android:textAlignment="center"
            android:padding="16dp"
            android:text="@={text}"
            android:background="@color/colorPrimary"
            android:textColor="@color/colorWhite"
            android:textColorHint="@color/colorGray"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="32dp"
            android:layout_marginBottom="128dp"
            android:layout_marginStart="32dp"
            android:layout_marginEnd="32dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toTopOf="@id/btnAdd"/>

        <TextView
            android:id="@+id/btnAdd"
            android:text="@string/add"
            android:textSize="32sp"
            android:textColor="@color/colorAccent"
            android:fontFamily="@font/ancient"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="32dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"/>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
